package cn.axzo.workflow.common.enums;


/**
 * Flowable Event Enum For RocketMQ
 *
 * @author wangli
 * @since 2023/9/4 10:38
 */
public enum BpmnButtonEnum {
    /**
     * 同意按钮
     */
    BPMN_APPROVE(1, "BPMN_APPROVE", "同意"),
    /**
     * 驳回按钮
     */
    BPMN_REJECT(2, "BPMN_REJECT", "驳回"),
    /**
     * 撤回按钮
     */
    BPMN_REVOCATION(3, "BPMN_REVOCATION", "撤回"),
    /**
     * 转交按钮
     */
    BPMN_TRANSFER(4, "BPMN_TRANSFER", "转交"),
    /**
     * 加签按钮
     */
    BPMN_COUNTERSIGN(5, "BPMN_COUNTERSIGN", "加签"),
    /**
     * 评论按钮
     */
    BPMN_COMMENT(6, "BPMN_COMMENT", "评论"),
    /**
     * 回退按钮
     */
    BPMN_ROLLBACK(7, "BPMN_ROLLBACK", "回退"),
    /**
     * 抄送按钮
     */
    BPMN_COPY(8, "BPMN_COPY", "抄送");

    public int getOrder() {
        return order;
    }

    public String getBtnKey() {
        return btnKey;
    }

    public String getBtnName() {
        return btnName;
    }

    private final int order;
    private final String btnKey;
    private final String btnName;


    BpmnButtonEnum(int order, String btnKey, String btnName) {
        this.order = order;
        this.btnKey = btnKey;
        this.btnName = btnName;
    }

}
